*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
footer{
    width: 100%;
    min-height: 250px;
    background: linear-gradient(whitesmoke , rgba(254, 0, 0, 0.823) 30%);
    position: absolute;
    color: solid black;
    font-family: sans-serif;
    padding: 100px 50px;
    font-size: 16px;
    line-height: 19px;
    margin-top: 20px;
}
/* Curve at the top of the footer */
footer::before {
    content: '';
    position: absolute;
    top: 0px;
    left: 0;
    right: 0;
    height: 30px;
    background: inherit;
    /* clip-path: ellipse(50% 100% at 50% 100%); */
    /* clip-path: ellipse(100% 50% at 10% 100%); */
    clip-path: ellipse(80% 90% at 80% 100%);
}
.row{
    width: 80%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
    background-color: transparent;
}
.col{
    flex-basis: 20%;
    padding: 10px;
    background-color: transparent;
}
/* Only change the design of third and fourth column */
.col:nth-child(2), .col:nth-child(3){
    flex-basis: 15%;
    margin-bottom: 30px;
}
.logo{
    width: 80px;
    height: 80px;
    margin-bottom: 30px;
    border-radius: 10px;
}
.col  h2{
    width: fit-content;
    margin-bottom: 20px;
    position: relative;
    background-color: transparent;
}
#email-id{
    width: fit-content;
    border-bottom: 2px solid white;
    margin: 20px 0;
}
ul li{
    list-style: none;
    margin-bottom: 12px;
    background-color: transparent;
}
ul li a{
    text-decoration: none;
    color: black;
    background-color: transparent;

}
.social-media .fab{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    font-size: 20px;
    color: blue;
    background: white;
    margin-right: 15px;
}
hr{
    width: 90%;
    border: 0;
    border-bottom: 1px solid black;
    margin: 20px auto;
}
.copywrigth{
    text-align: center;
    background-color: transparent;
}
/* Under line for headings in footer */
.underline{
    width: 100%;
    height: 5px;
    background: green;
    border-radius: 4px;
    position: absolute;
    top: 28px;
    left: 0;
    overflow: hidden;
}
.underline span{
    width: 15px;
    height: 100%;
    background: black;
    border-radius: 4px;
    position: absolute;
    top:0;
    left: 10px;
    animation: moving 3s linear infinite;
}
/* Add key frames for (moving) */
@keyframes moving {
    0%{
        left: -20px;
    }
    100%{
        left: 90%;
    }
}
/* phone size footer */
@media (max-width: 768px) {
    footer{
        bottom: unset;
    }
    .col{
        flex-basis: 100%;
    }
    .col:nth-child(2), .col:nth-child(3){
        flex-basis: 100%;
    }
}
.col, .social-media{
    background-color: transparent;
}
.col ul{
    background-color: transparent;
}
.col p,.col h3{
    background-color: transparent;

}
.col strong, .col em{
    background-color: transparent;
}
